## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate libz-sys

Name:           rust-libz-sys
Version:        1.1.20
Release:        %autorelease
Summary:        Low-level bindings to the system libz library (also known as zlib)

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/libz-sys
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop features for zlib-ng support and statically linking libz
Patch:          libz-sys-fix-metadata.diff
# * remove code related to building vendored zlib / zlib-ng sources
# * unconditionally use pkg-config to link with system libz
Patch:          0001-unconditionally-use-pkg-config-to-link-with-system-z.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  pkgconfig(zlib)

%global _description %{expand:
Low-level bindings to the system libz library (also known as zlib).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(zlib)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libc-devel %{_description}

This package contains library source intended for building other packages which
use the "libc" feature of the "%{crate}" crate.

%files       -n %{name}+libc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+stock-zlib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+stock-zlib-devel %{_description}

This package contains library source intended for building other packages which
use the "stock-zlib" feature of the "%{crate}" crate.

%files       -n %{name}+stock-zlib-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# remove bundled zlib and zlib-ng sources
rm -r src/zlib/
rm -r src/zlib-ng/

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Sep 25 2024 Fabio Valentini <decathorpe@gmail.com> - 1.1.20-1
- Update to version 1.1.20; Fixes RHBZ#2283120

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri May 17 2024 Fabio Valentini <decathorpe@gmail.com> - 1.1.16-1
- Update to version 1.1.16; Fixes RHBZ#2260523

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 10 2024 Fabio Valentini <decathorpe@gmail.com> - 1.1.14-1
- Update to version 1.1.14; Fixes RHBZ#2257247

* Sat Jul 29 2023 Fabio Valentini <decathorpe@gmail.com> - 1.1.12-1
- Update to version 1.1.12; Fixes RHBZ#2224862

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon May 01 2023 Fabio Valentini <decathorpe@gmail.com> - 1.1.9-1
- Update to version 1.1.9; Fixes RHBZ#2190481

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon May 30 2022 Fabio Valentini <decathorpe@gmail.com> - 1.1.8-1
- Update to version 1.1.8; Fixes RHBZ#2091230

* Thu May 12 2022 Fabio Valentini <decathorpe@gmail.com> - 1.1.6-1
- Update to version 1.1.6; Fixes RHBZ#2079190

* Thu Mar 31 2022 Fabio Valentini <decathorpe@gmail.com> - 1.1.5-1
- Update to version 1.1.5; Fixes RHBZ#2061218

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Apr 30 2021 Fabio Valentini <decathorpe@gmail.com> - 1.1.3-1
- Update to version 1.1.3.
- Fixes RHBZ#1955368

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Sep 18 2020 Fabio Valentini <decathorpe@gmail.com> - 1.1.2-1
- Update to version 1.1.2.

* Wed Aug 19 2020 Josh Stone <jistone@redhat.com> - 1.1.0-1
- Update to 1.1.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.25-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.25-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.25-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 12:34:11 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.25-5
- Regenerate

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.25-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Dec 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.25-3
- Run tests in infrastructure

* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.25-2
- Adapt to new packaging

* Thu Oct 25 2018 Josh Stone <jistone@redhat.com> - 1.0.25-1
- Update to 1.0.25

* Fri Oct 12 2018 Josh Stone <jistone@redhat.com> - 1.0.24-1
- Update to 1.0.24

* Fri Sep 28 2018 Josh Stone <jistone@redhat.com> - 1.0.23-1
- Update to 1.0.23

* Mon Sep 17 2018 Josh Stone <jistone@redhat.com> - 1.0.22-1
- Update to 1.0.22

* Tue Aug 07 2018 Josh Stone <jistone@redhat.com> - 1.0.20-1
- Update to 1.0.20

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.18-3
- Rebuild for rust-packaging v5

* Sun Dec 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.18-2
- Remove bundled zlib

* Thu Nov 16 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.18-1
- Update to 1.0.18

* Mon Jun 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.16-1
- Update to 1.0.16

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.14-1
- Update to 1.0.14

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.13-3
- Port to use rust-packaging

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.13-2
- Rebuild

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.13-1
- Initial package

## END: Generated by rpmautospec
